/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";


.header-md:after { background-image: none; }

ion-content,
//ion-item,
ion-toolbar {
    --background: rgb(242, 243, 248);
}

ion-list,
ion-footer {
    background-color: rgb(242, 243, 248) !important;
}

ion-footer {
    padding: 5px;    
}

ion-footer.form {
    text-align: center;
    
    ion-button {
        min-width: 33vw;
    }
}

.p-t-0 { padding-top: 0; }

.footer-md:before { background-image: none; }

body {
    color: #939393;
}

ion-searchbar {
    padding-bottom: 1px !important;
}

ion-item {
    .date {
        position: absolute;
        right: 10px;
        top: 0;
        font-size: 14px;
        color: #939393;
    }
}


.totals {
    ion-label { font-size: 12px; }

    p { 
        margin-bottom: 0;
        margin-top: 10px;
    }
}

.readonly {
    font-size: 14px;
    padding-top: 5px;
    padding-left: 5px;
    padding-right: 5px;
}

/**
* COLORS
*/

.c-light {
    color: #939393 !important;
}

.c-medium {
    color: #989aa2 !important;
}

.c-primary {
    color: #038350 !important;
}

.c-danger {
    color: #f04141 !important;
 }

/**
* OTHERS
*/

.no-wrap { white-space: initial;}